### Method

# Camel FolderSummary prepare_fetch_all

since: 2.32

#### Declaration [src]

    gboolean
    camel_folder_summary_prepare_fetch_all (
      CamelFolderSummary* summary
      GError** error
    )

#### Description [src]

Loads all infos into memory, if they are not yet and ensures they will not be freed in next couple minutes. Call this function before any mass operation or when all message infos will be needed, for better performance.

Available since: 2.32

#### Return value

Type: `gboolean`

`TRUE` on success.